using PlcSiemens.O;
using PlcSiemens.Protocol.Header;

namespace PlcSiemens.Protocol.Upload
{
    public class StartUploadResponse : IBuildResponse
    {
        public HeaderPacketWithErrorCode Header { get; set; }
        public StartUploadParamsResponse Params { get; set; }

        public StartUploadResponse()
        {
            Header = new HeaderPacketWithErrorCode();
            Params = new StartUploadParamsResponse();
        }

        public void Build(ByteBuffer buffer)
        {
            Header.Build(buffer);
            Params.Build(buffer);
        }
    }
}
